Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.cms.ui.admin
Class CMSAdminConstants

    java.lang.Object
      org.jboss.portal.core.cms.ui.admin.CMSAdminConstants

    public class CMSAdminConstants

extends java.lang.Object

AdminCMS Portlet Constants

Author:
  Roy Russo : roy at jboss dot org Date: Dec 14, 2004 Time: 5:15:03 PM

Field Summary
`static java.lang.String` | `CMS_JSP_PATH` Our path to jsp pages *
`static java.lang.String` | `DEFAULT_IMAGES_PATH` Where we can find the admin images in the resource bundle.
`static java.lang.String` | `OP_APPROVE`
`static java.lang.String` | `OP_CHANGE_DIR`
`static java.lang.String` | `OP_CONFIRM_CREATE_COLLECTION`
`static java.lang.String` | `OP_CONFIRMCOPY`
`static java.lang.String` | `OP_CONFIRMDELETE`
`static java.lang.String` | `OP_CONFIRMMOVE`
`static java.lang.String` | `OP_CONFIRMSECURE`
`static java.lang.String` | `OP_COPY`
`static java.lang.String` | `OP_CREATE_COLLECTION`
`static java.lang.String` | `OP_CREATEFILE_VALIDATION_ERROR`
`static java.lang.String` | `OP_CREATENEWTEXT`
`static java.lang.String` | `OP_DELETE`
`static java.lang.String` | `OP_DENY`
`static java.lang.String` | `OP_DISPLAY_PARENT_DIR`
`static java.lang.String` | `OP_DOSEARCH`
`static java.lang.String` | `OP_EDIT`
`static java.lang.String` | `OP_EDIT_BINARY`
`static java.lang.String` | `OP_EDITDIRECTORYCONFIRM`
`static java.lang.String` | `OP_EXPORTARCHIVE`
`static java.lang.String` | `OP_EXPORTARCHIVE_PICKUP`
`static java.lang.String` | `OP_LIST`
`static java.lang.String` | `OP_MAIN`
`static java.lang.String` | `OP_MAKELIVE`
`static java.lang.String` | `OP_MODIFYANDAPPROVE`
`static java.lang.String` | `OP_MOVE`
`static java.lang.String` | `OP_SAVENEWTEXT`
`static java.lang.String` | `OP_SAVETEXT`
`static java.lang.String` | `OP_SECURE`
`static java.lang.String` | `OP_UPLOADARCHIVE`
`static java.lang.String` | `OP_UPLOADARCHIVECONFIRM`
`static java.lang.String` | `OP_UPLOADCONFIRM`
`static java.lang.String` | `OP_UPLOADCONTENT`
`static java.lang.String` | `OP_VERSION`
`static java.lang.String` | `OP_VIEWFILE`
`static java.lang.String` | `OP_VIEWPENDING`
`static java.lang.String` | `OP_VIEWPENDINGPREVIEW`
`static java.lang.String` | `OP_VIEWSEARCHRESULTS`
`static java.lang.String` | `PERM_FAIL`

Constructor Summary
`CMSAdminConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMS_JSP_PATH

    public static final java.lang.String CMS_JSP_PATH

  Our path to jsp pages *

  See Also:
    Constant Field Values

### DEFAULT_IMAGES_PATH

    public static final java.lang.String DEFAULT_IMAGES_PATH

  Where we can find the admin images in the resource bundle.

  See Also:
    Constant Field Values

### OP_MAIN

    public static final java.lang.String OP_MAIN

See Also:
  Constant Field Values

### OP_LIST

    public static final java.lang.String OP_LIST

See Also:
  Constant Field Values

### OP_DOSEARCH

    public static final java.lang.String OP_DOSEARCH

See Also:
  Constant Field Values

### OP_EDIT

    public static final java.lang.String OP_EDIT

See Also:
  Constant Field Values

### OP_EDIT_BINARY

    public static final java.lang.String OP_EDIT_BINARY

See Also:
  Constant Field Values

### OP_COPY

    public static final java.lang.String OP_COPY

See Also:
  Constant Field Values

### OP_MOVE

    public static final java.lang.String OP_MOVE

See Also:
  Constant Field Values

### OP_CONFIRMDELETE

    public static final java.lang.String OP_CONFIRMDELETE

See Also:
  Constant Field Values

### OP_DELETE

    public static final java.lang.String OP_DELETE

See Also:
  Constant Field Values

### OP_VERSION

    public static final java.lang.String OP_VERSION

See Also:
  Constant Field Values

### OP_CHANGE_DIR

    public static final java.lang.String OP_CHANGE_DIR

See Also:
  Constant Field Values

### OP_DISPLAY_PARENT_DIR

    public static final java.lang.String OP_DISPLAY_PARENT_DIR

See Also:
  Constant Field Values

### OP_CREATE_COLLECTION

    public static final java.lang.String OP_CREATE_COLLECTION

See Also:
  Constant Field Values

### OP_CONFIRM_CREATE_COLLECTION

    public static final java.lang.String OP_CONFIRM_CREATE_COLLECTION

See Also:
  Constant Field Values

### OP_CONFIRMCOPY

    public static final java.lang.String OP_CONFIRMCOPY

See Also:
  Constant Field Values

### OP_CONFIRMMOVE

    public static final java.lang.String OP_CONFIRMMOVE

See Also:
  Constant Field Values

### OP_VIEWFILE

    public static final java.lang.String OP_VIEWFILE

See Also:
  Constant Field Values

### OP_SAVETEXT

    public static final java.lang.String OP_SAVETEXT

See Also:
  Constant Field Values

### OP_CREATENEWTEXT

    public static final java.lang.String OP_CREATENEWTEXT

See Also:
  Constant Field Values

### OP_SAVENEWTEXT

    public static final java.lang.String OP_SAVENEWTEXT

See Also:
  Constant Field Values

### OP_UPLOADCONFIRM

    public static final java.lang.String OP_UPLOADCONFIRM

See Also:
  Constant Field Values

### OP_UPLOADCONTENT

    public static final java.lang.String OP_UPLOADCONTENT

See Also:
  Constant Field Values

### OP_UPLOADARCHIVECONFIRM

    public static final java.lang.String OP_UPLOADARCHIVECONFIRM

See Also:
  Constant Field Values

### OP_UPLOADARCHIVE

    public static final java.lang.String OP_UPLOADARCHIVE

See Also:
  Constant Field Values

### OP_EDITDIRECTORYCONFIRM

    public static final java.lang.String OP_EDITDIRECTORYCONFIRM

See Also:
  Constant Field Values

### OP_MAKELIVE

    public static final java.lang.String OP_MAKELIVE

See Also:
  Constant Field Values

### PERM_FAIL

    public static final java.lang.String PERM_FAIL

See Also:
  Constant Field Values

### OP_EXPORTARCHIVE

    public static final java.lang.String OP_EXPORTARCHIVE

See Also:
  Constant Field Values

### OP_EXPORTARCHIVE_PICKUP

    public static final java.lang.String OP_EXPORTARCHIVE_PICKUP

See Also:
  Constant Field Values

### OP_CONFIRMSECURE

    public static final java.lang.String OP_CONFIRMSECURE

See Also:
  Constant Field Values

### OP_SECURE

    public static final java.lang.String OP_SECURE

See Also:
  Constant Field Values

### OP_APPROVE

    public static final java.lang.String OP_APPROVE

See Also:
  Constant Field Values

### OP_DENY

    public static final java.lang.String OP_DENY

See Also:
  Constant Field Values

### OP_VIEWPENDING

    public static final java.lang.String OP_VIEWPENDING

See Also:
  Constant Field Values

### OP_VIEWSEARCHRESULTS

    public static final java.lang.String OP_VIEWSEARCHRESULTS

See Also:
  Constant Field Values

### OP_CREATEFILE_VALIDATION_ERROR

    public static final java.lang.String OP_CREATEFILE_VALIDATION_ERROR

See Also:
  Constant Field Values

### OP_VIEWPENDINGPREVIEW

    public static final java.lang.String OP_VIEWPENDINGPREVIEW

See Also:
  Constant Field Values

### OP_MODIFYANDAPPROVE

    public static final java.lang.String OP_MODIFYANDAPPROVE

See Also:
  Constant Field Values

Constructor Detail

### CMSAdminConstants

    public CMSAdminConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD